import { defineBuildConfig } from 'unbuild'
import { join } from "node:path"
export default defineBuildConfig({
    entries: ['src/index'],
    clean: true,
    declaration: true,
    rollup: {
        emitCJS: true,
        inlineDependencies: true,
        esbuild: {
            minify: true,
        },
    },
    alias: {
        "@": join(__dirname, 'src')
    },
})